Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultCompoundingFormulaType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.compounding.common.CompoundingFormulaKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultCompoundingFormulaType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:18:57+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultCompoundingFormulaType

extends CompoundingFormulaKeyType
implements Serializable

Java class for ConsultCompoundingFormulaType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCompoundingFormulaType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:compounding:common}CompoundingFormulaKeyType">
           <sequence>
             <element name="OfficialName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Synonym" type="{urn:be:fgov:ehealth:dics:core:v3:compounding:common}SynonymType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCompoundingFormulaType()`

Method Summary
`String` | `getOfficialName()` Gets the value of the officialName property.
`List<SynonymType>` | `getSynonyms()` Gets the value of the synonyms property.
`void` | `setOfficialName(String value)` Sets the value of the officialName property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.compounding.common.CompoundingFormulaKeyType
`getCode, getCodeType, setCode, setCodeType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCompoundingFormulaType

    public ConsultCompoundingFormulaType()

Method Detail

### getOfficialName

    public String getOfficialName()

  Gets the value of the officialName property.

  Returns:
    possible object is `String`

### setOfficialName

    public void setOfficialName(String value)

  Sets the value of the officialName property.

  Parameters:
    `value` - allowed object is `String`

### getSynonyms

    public List<SynonymType> getSynonyms()

  Gets the value of the synonyms property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synonyms property.

  For example, to add a new item, do as follows:

          getSynonyms().add(newItem);

  Objects of the following type(s) are allowed in the list `SynonymType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.